Bug 144427 - Missing USB mass storage multilun device on whitelist:
Missing USB mass storage multilun device on whitelist:
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://www.honnecke.us/usb-storage/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-06 17:33 EST by ashton honnecke
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:11:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ashton honnecke 2005-01-06 17:33:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922 Galeon/1.3.17

Description of problem:
Generic USB 9-in-1 CF reader not on whitelist for multiple lun probing.

the reader: http://www.honnecke.us/usb-storage/IM000965.JPG



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Plug in one of those card-readers
2. Attempt to mount a slot other thatn the first one
    

Actual Results:  d4
f17[root@marylin:/home/ahonneck/honnecke.us/usb-storage]$ mount /dev/sdb1
mount: No medium found


Expected Results:  The device should have mounted

Additional info:

lsusb -v

Bus 002 Device 008: ID 058f:9360 Alcor Micro Corp.
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0
  bDeviceProtocol         0
  bMaxPacketSize0         8
  idVendor           0x058f Alcor Micro Corp.
  idProduct          0x9360
  bcdDevice            1.00
  iManufacturer           1 Generic
  iProduct                2 Mass Storage Device
  iSerial                 3 9206051
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           32
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0
    bmAttributes         0x80
    MaxPower              100mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass         8 Mass Storage
      bInterfaceSubClass      6 SCSI
      bInterfaceProtocol     80 Bulk (Zip)
      iInterface              0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x01  EP 1 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               none
          Usage Type               Data
        wMaxPacketSize     0x0040  bytes 64 once
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               none
          Usage Type               Data
        wMaxPacketSize     0x0040  bytes 64 once
        bInterval               0
  Language IDs: (length=4)
     0409 English(US)

dmesg:
usb 2-2.1: USB disconnect, address 7
usb 2-2.1: new full speed USB device using address 8
scsi1 : SCSI emulation for USB Mass Storage devices
  Vendor: Generic   Model: USB SD Reader     Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 02
Attached scsi removable disk sda at scsi1, channel 0, id 0, lun 0
  Vendor: Generic   Model: USB CF Reader     Rev: 1.01
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sdb: 503808 512-byte hdwr sectors (258 MB)
sdb: assuming Write Enabled
sdb: assuming drive cache: write through
 sdb: sdb1
Attached scsi removable disk sdb at scsi1, channel 0, id 0, lun 1
  Vendor: Generic   Model: USB SM Reader     Rev: 1.02
  Type:   Direct-Access                      ANSI SCSI revision: 02
Attached scsi removable disk sdc at scsi1, channel 0, id 0, lun 2
  Vendor: Generic   Model: USB MS Reader     Rev: 1.03
  Type:   Direct-Access                      ANSI SCSI revision: 02
Attached scsi removable disk sdd at scsi1, channel 0, id 0, lun 3
USB Mass Storage device found at 8

cat  /proc/bus/usb/devices

T:  Bus=02 Lev=02 Prnt=03 Port=00 Cnt=01 Dev#=  8 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=058f ProdID=9360 Rev= 1.00
S:  Manufacturer=Generic
S:  Product=Mass Storage Device
S:  SerialNumber=9206051
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 2 Cls=08(stor.) Sub=06 Prot=50 Driver=usb-storage
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
Comment 1 Dave Jones 2005-01-06 17:53:28 EST
it doesnt need whitelisting, as all 4 slots have been assigned scsi
devices (sda through sdd).  Are you sure you're trying to mount the
right slot ?  Do you get 'no media' errors from trying to mount all
the others too ?
Comment 2 ashton honnecke 2005-01-10 10:30:23 EST
That only happened after a little poking around. I think What did it
was these guys:
$> echo "options scsi_mod max_luns=8" >> modprobe.conf 
$> echo "options scsi_mod max_luns=8" >> modules.conf

I certainly got it to mount, but initially, it would not.  I don't
need any assistance in this instance, but as I understood it, devices
that could deal with probing for multiple luns would need to be
whitelisted in order to facilitate them working without configuration.
 This one didn't.  Apologies if I misunderstood.  

PS:
When I was having the problems with the mounting I would get 'no
media' errors from only one slot.  The rest would be the 'no valid
block device found' error.
Comment 3 Dave Jones 2005-07-15 16:35:36 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-10-02 21:11:36 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.